<!DOCTYPE html>
<html>
<!-- <head> This contains all relevant information about the Software Engineering Code of Ethics and Professional Practice. The contents were uploaded by Keith William Miller through ResearchGate. -->
	<meta charset="utf-8">
	<title>Software Engineering Code of Ethics and Professional Practice</title>
</head>
<body>
	<h5> <i> Science and Engineering Ethics (2001) 7, 231-238 </i>
	</h5>

	<hr>

	<h1>Software Engineering Code of Ethics and Professional Practice
	</h1>

	<h3>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics andProfessional Practices*
	</h3>

	<hr>

	<h4>Keywords: code of ethics, professional responsibility, software engineering
	</h4>

	<h3><strong>PREAMBLE</strong>
	</h3>

	<h4>The short version of the code summarizes aspirations at a high level of abstraction. The clauses that are included in the full version give examples and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspiration can become high-sounding but empty; together, the aspirations and the details form a cohesive code.
	</h4>

</body>
</html>